Bug 125149 - aliases and nicknames don't mix
aliases and nicknames don't mix
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 01:28 EDT by Mark Lanett
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 17:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lanett 2004-06-03 01:28:57 EDT
Description of problem:

If you give an ip alias a nickname (in the redhat-config-network 
tool), then it is not brought up at boot time. The ifup-aliases 
script requires ifcfg files for aliases to be in the form ifcfg-
DEVICENAME:xxx, and nicknamed files are not.

Version-Release number of selected component (if applicable):

FC1+Updates

How reproducible:

Always

Steps to Reproduce:
1. Create an alias of an interface, say eth0:1
2. Nickname the alias, as say "alternate"
3. Reboot
  
Actual results:

eth0:1 is not present after boot time.

Expected results:

Aliases which are set to ONBOOT should in fact be brought up.

Additional info:

It IS possible to have nicknames if they are combined with the device 
name, such as: "ifcfg-eth0:alternate"
It's probably easier to change the r-c-n tool than the ifup-aliases 
script.
Comment 1 Bill Nottingham 2004-06-03 12:50:35 EDT
Actually, this whole thing needs reworked. Probably just implement
aliases as secondary addresses for the device.
Comment 2 Bill Nottingham 2005-04-28 15:36:53 EDT
Aliases don't do onboot, fwiw. They follow 'ONPARENT'.
Comment 3 Bill Nottingham 2005-09-30 17:23:37 EDT
Closing bugs on older releases. Apologies for any lack of response.
Realistically, this code will not signifcantly change until we implement aliases
as just secondary addresses. So, closing this out.

Note You need to log in before you can comment on or make changes to this bug.